org.apache.poi.hwmf.record

## Enum HwmfEscape.EscapeFunction

- java.lang.Object
- - java.lang.Enum<HwmfEscape.EscapeFunction>
  - - org.apache.poi.hwmf.record.HwmfEscape.EscapeFunction

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<HwmfEscape.EscapeFunction>
  Enclosing class:
    HwmfEscape

      public static enum HwmfEscape.EscapeFunction
      extends java.lang.Enum<HwmfEscape.EscapeFunction>

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `ABORTDOC` Stops processing the current document.
    `BANDINFO` Retrieves or specifies settings concerning banding on a device, such as the number of bands.
    `BEGIN_PATH` Opens a path.
    `CHECKJPEGFORMAT` Checks whether the printer supports a JPEG image.
    `CHECKPNGFORMAT` Checks whether the printer supports a PNG image
    `CLIP_TO_PATH` Defines a clip region that is bounded by a path.
    `CLOSE_CHANNEL` The same as ENDDOC.
    `DOWNLOADFACE` Sets the font face name on a device.
    `DOWNLOADHEADER` Instructs the printer driver to download sets of PostScript procedures.
    `DRAFTMODE` Indicates that the printer driver SHOULD print text only, and no graphics.
    `DRAWPATTERNRECT` Draws a rectangle with a defined pattern.
    `ENABLEDUPLEX` Enables or disables double-sided (duplex) printing on a device.
    `ENCAPSULATED_POSTSCRIPT` Sends arbitrary data directly to the printer driver.
    `END_PATH` Ends a path.
    `ENDDOC` Notifies the printer driver that the current print job is ending.
    `ENUMPAPERBINS` Retrieves information concerning the sources of different forms on an output device.
    `ENUMPAPERMETRICS` Queries a printer driver for paper dimensions and other forms data.
    `EPSPRINTING` Indicates the start and end of an encapsulated PostScript (EPS) section.
    `EXTTEXTOUT` Draws text using the currently selected font, background color, and text color.
    `FLUSHOUT` Causes all pending output to be flushed to the output device.
    `GET_PS_FEATURESETTING` Gets information on a specified feature setting for a PostScript printer driver.
    `GETCOLORTABLE` Gets color table values.
    `GETDEVICEUNITS` Gets the device units currently configured on an output device.
    `GETEXTENDEDTEXTMETRICS` Gets extended text metrics currently configured on an output device.
    `GETFACENAME` Gets the font face name currently configured on a device.
    `GETPAIRKERNTABLE` Gets the font kern table currently defined on an output device.
    `GETPHYSPAGESIZE` Retrieves the physical page size currently selected on an output device.
    `GETPRINTINGOFFSET` Retrieves the offset from the upper-left corner of the physical page where the actual printing or drawing begins.
    `GETSCALINGFACTOR` Retrieves the scaling factors for the x-axis and the y-axis of a printer.
    `GETSETPAPERBINS` Retrieves or specifies the source of output forms on a device.
    `GETSETPAPERMETRICS` Retrieves or specifies paper dimensions and other forms data on an output device.
    `GETSETPRINTORIENT` Retrieves or specifies the paper orientation on a device.
    `GETTECHNOLOGY` Gets information concerning graphics technology that is supported on a device.
    `GETVECTORBRUSHSIZE` Retrieves the physical brush size currently defined on a device.
    `GETVECTORPENSIZE` Retrieves the physical pen size currently defined on a device.
    `META_ESCAPE_ENHANCED_METAFILE` Used to embed an enhanced metafile format (EMF) metafile within a WMF metafile.
    `METAFILE_DRIVER` Queries a printer driver about the support for metafiles on an output device.
    `MXDC_ESCAPE` Enables applications to write documents to a file or to a printer in XML Paper Specification (XPS) format.
    `NEWFRAME` Notifies the printer driver that the application has finished writing to a page.
    `NEXTBAND` Notifies the printer driver that the application has finished writing to a band.
    `OPEN_CHANNEL` The same as STARTDOC specified with a NULL document and output filename, data in raw mode, and a type of zero.
    `PASSTHROUGH` This record passes through arbitrary data.
    `POSTSCRIPT_DATA` Sends arbitrary PostScript data to an output device.
    `POSTSCRIPT_IDENTIFY` Sets the printer driver to either PostScript or GDI mode.
    `POSTSCRIPT_IGNORE` Notifies an output device to ignore PostScript data.
    `POSTSCRIPT_INJECTION` Inserts a block of raw data into a PostScript stream.
    `POSTSCRIPT_PASSTHROUGH` Sends arbitrary data directly to a printer driver, which is expected to process this data only when in PostScript mode.
    `QUERYDIBSUPPORT` Queries the printer driver about its support for DIBs on an output device.
    `QUERYESCSUPPORT` Queries a printer driver to determine whether a specific escape function is supported on the output device it drives.
    `SETABORTPROC` Sets the application-defined function that allows a print job to be canceled during printing.
    `SETCOLORTABLE` Sets color table values.
    `SETCOPYCOUNT` Sets the number of copies.
    `SETDIBSCALING` Specifies the scaling of device-independent bitmaps (DIBs).
    `SETLINECAP` Specifies the line-drawing mode to use in output to a device.
    `SETLINEJOIN` Specifies the line-joining mode to use in output to a device.
    `SETMITERLIMIT` Sets the limit for the length of miter joins to use in output to a device.
    `SETPAPERSOURCE` Sets the source, such as a particular paper tray or bin on a printer, for output forms.
    `SETPENWIDTH` Sets the width of a pen in pixels.
    `SPCLPASSTHROUGH2` Enables applications to include private procedures and other arbitrary data in documents.
    `STARTDOC` Notifies the printer driver that a new print job is starting.

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `java.util.function.Supplier<? extends HwmfEscape.HwmfEscapeData>` | `constructor`
    `int` | `flag`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static HwmfEscape.EscapeFunction` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static HwmfEscape.EscapeFunction[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### NEWFRAME

          public static final HwmfEscape.EscapeFunction NEWFRAME

      Notifies the printer driver that the application has finished writing to a page.

    - #### ABORTDOC

          public static final HwmfEscape.EscapeFunction ABORTDOC

      Stops processing the current document.

    - #### NEXTBAND

          public static final HwmfEscape.EscapeFunction NEXTBAND

      Notifies the printer driver that the application has finished writing to a band.

    - #### SETCOLORTABLE

          public static final HwmfEscape.EscapeFunction SETCOLORTABLE

      Sets color table values.

    - #### GETCOLORTABLE

          public static final HwmfEscape.EscapeFunction GETCOLORTABLE

      Gets color table values.

    - #### FLUSHOUT

          public static final HwmfEscape.EscapeFunction FLUSHOUT

      Causes all pending output to be flushed to the output device.

    - #### DRAFTMODE

          public static final HwmfEscape.EscapeFunction DRAFTMODE

      Indicates that the printer driver SHOULD print text only, and no graphics.

    - #### QUERYESCSUPPORT

          public static final HwmfEscape.EscapeFunction QUERYESCSUPPORT

      Queries a printer driver to determine whether a specific escape function is supported on the output device it drives.

    - #### SETABORTPROC

          public static final HwmfEscape.EscapeFunction SETABORTPROC

      Sets the application-defined function that allows a print job to be canceled during printing.

    - #### STARTDOC

          public static final HwmfEscape.EscapeFunction STARTDOC

      Notifies the printer driver that a new print job is starting.

    - #### ENDDOC

          public static final HwmfEscape.EscapeFunction ENDDOC

      Notifies the printer driver that the current print job is ending.

    - #### GETPHYSPAGESIZE

          public static final HwmfEscape.EscapeFunction GETPHYSPAGESIZE

      Retrieves the physical page size currently selected on an output device.

    - #### GETPRINTINGOFFSET

          public static final HwmfEscape.EscapeFunction GETPRINTINGOFFSET

      Retrieves the offset from the upper-left corner of the physical page where the actual printing or drawing begins.

    - #### GETSCALINGFACTOR

          public static final HwmfEscape.EscapeFunction GETSCALINGFACTOR

      Retrieves the scaling factors for the x-axis and the y-axis of a printer.

    - #### META_ESCAPE_ENHANCED_METAFILE

          public static final HwmfEscape.EscapeFunction META_ESCAPE_ENHANCED_METAFILE

      Used to embed an enhanced metafile format (EMF) metafile within a WMF metafile.

    - #### SETPENWIDTH

          public static final HwmfEscape.EscapeFunction SETPENWIDTH

      Sets the width of a pen in pixels.

    - #### SETCOPYCOUNT

          public static final HwmfEscape.EscapeFunction SETCOPYCOUNT

      Sets the number of copies.

    - #### SETPAPERSOURCE

          public static final HwmfEscape.EscapeFunction SETPAPERSOURCE

      Sets the source, such as a particular paper tray or bin on a printer, for output forms.

    - #### PASSTHROUGH

          public static final HwmfEscape.EscapeFunction PASSTHROUGH

      This record passes through arbitrary data.

    - #### GETTECHNOLOGY

          public static final HwmfEscape.EscapeFunction GETTECHNOLOGY

      Gets information concerning graphics technology that is supported on a device.

    - #### SETLINECAP

          public static final HwmfEscape.EscapeFunction SETLINECAP

      Specifies the line-drawing mode to use in output to a device.

    - #### SETLINEJOIN

          public static final HwmfEscape.EscapeFunction SETLINEJOIN

      Specifies the line-joining mode to use in output to a device.

    - #### SETMITERLIMIT

          public static final HwmfEscape.EscapeFunction SETMITERLIMIT

      Sets the limit for the length of miter joins to use in output to a device.

    - #### BANDINFO

          public static final HwmfEscape.EscapeFunction BANDINFO

      Retrieves or specifies settings concerning banding on a device, such as the number of bands.

    - #### DRAWPATTERNRECT

          public static final HwmfEscape.EscapeFunction DRAWPATTERNRECT

      Draws a rectangle with a defined pattern.

    - #### GETVECTORPENSIZE

          public static final HwmfEscape.EscapeFunction GETVECTORPENSIZE

      Retrieves the physical pen size currently defined on a device.

    - #### GETVECTORBRUSHSIZE

          public static final HwmfEscape.EscapeFunction GETVECTORBRUSHSIZE

      Retrieves the physical brush size currently defined on a device.

    - #### ENABLEDUPLEX

          public static final HwmfEscape.EscapeFunction ENABLEDUPLEX

      Enables or disables double-sided (duplex) printing on a device.

    - #### GETSETPAPERBINS

          public static final HwmfEscape.EscapeFunction GETSETPAPERBINS

      Retrieves or specifies the source of output forms on a device.

    - #### GETSETPRINTORIENT

          public static final HwmfEscape.EscapeFunction GETSETPRINTORIENT

      Retrieves or specifies the paper orientation on a device.

    - #### ENUMPAPERBINS

          public static final HwmfEscape.EscapeFunction ENUMPAPERBINS

      Retrieves information concerning the sources of different forms on an output device.

    - #### SETDIBSCALING

          public static final HwmfEscape.EscapeFunction SETDIBSCALING

      Specifies the scaling of device-independent bitmaps (DIBs).

    - #### EPSPRINTING

          public static final HwmfEscape.EscapeFunction EPSPRINTING

      Indicates the start and end of an encapsulated PostScript (EPS) section.

    - #### ENUMPAPERMETRICS

          public static final HwmfEscape.EscapeFunction ENUMPAPERMETRICS

      Queries a printer driver for paper dimensions and other forms data.

    - #### GETSETPAPERMETRICS

          public static final HwmfEscape.EscapeFunction GETSETPAPERMETRICS

      Retrieves or specifies paper dimensions and other forms data on an output device.

    - #### POSTSCRIPT_DATA

          public static final HwmfEscape.EscapeFunction POSTSCRIPT_DATA

      Sends arbitrary PostScript data to an output device.

    - #### POSTSCRIPT_IGNORE

          public static final HwmfEscape.EscapeFunction POSTSCRIPT_IGNORE

      Notifies an output device to ignore PostScript data.

    - #### GETDEVICEUNITS

          public static final HwmfEscape.EscapeFunction GETDEVICEUNITS

      Gets the device units currently configured on an output device.

    - #### GETEXTENDEDTEXTMETRICS

          public static final HwmfEscape.EscapeFunction GETEXTENDEDTEXTMETRICS

      Gets extended text metrics currently configured on an output device.

    - #### GETPAIRKERNTABLE

          public static final HwmfEscape.EscapeFunction GETPAIRKERNTABLE

      Gets the font kern table currently defined on an output device.

    - #### EXTTEXTOUT

          public static final HwmfEscape.EscapeFunction EXTTEXTOUT

      Draws text using the currently selected font, background color, and text color.

    - #### GETFACENAME

          public static final HwmfEscape.EscapeFunction GETFACENAME

      Gets the font face name currently configured on a device.

    - #### DOWNLOADFACE

          public static final HwmfEscape.EscapeFunction DOWNLOADFACE

      Sets the font face name on a device.

    - #### METAFILE_DRIVER

          public static final HwmfEscape.EscapeFunction METAFILE_DRIVER

      Queries a printer driver about the support for metafiles on an output device.

    - #### QUERYDIBSUPPORT

          public static final HwmfEscape.EscapeFunction QUERYDIBSUPPORT

      Queries the printer driver about its support for DIBs on an output device.

    - #### BEGIN_PATH

          public static final HwmfEscape.EscapeFunction BEGIN_PATH

      Opens a path.

    - #### CLIP_TO_PATH

          public static final HwmfEscape.EscapeFunction CLIP_TO_PATH

      Defines a clip region that is bounded by a path. The input MUST be a 16-bit quantity that defines the action to take.

    - #### END_PATH

          public static final HwmfEscape.EscapeFunction END_PATH

      Ends a path.

    - #### OPEN_CHANNEL

          public static final HwmfEscape.EscapeFunction OPEN_CHANNEL

      The same as STARTDOC specified with a NULL document and output filename, data in raw mode, and a type of zero.

    - #### DOWNLOADHEADER

          public static final HwmfEscape.EscapeFunction DOWNLOADHEADER

      Instructs the printer driver to download sets of PostScript procedures.

    - #### CLOSE_CHANNEL

          public static final HwmfEscape.EscapeFunction CLOSE_CHANNEL

      The same as ENDDOC. See OPEN_CHANNEL.

    - #### POSTSCRIPT_PASSTHROUGH

          public static final HwmfEscape.EscapeFunction POSTSCRIPT_PASSTHROUGH

      Sends arbitrary data directly to a printer driver, which is expected to process this data only when in PostScript mode.

    - #### ENCAPSULATED_POSTSCRIPT

          public static final HwmfEscape.EscapeFunction ENCAPSULATED_POSTSCRIPT

      Sends arbitrary data directly to the printer driver.

    - #### POSTSCRIPT_IDENTIFY

          public static final HwmfEscape.EscapeFunction POSTSCRIPT_IDENTIFY

      Sets the printer driver to either PostScript or GDI mode.

    - #### POSTSCRIPT_INJECTION

          public static final HwmfEscape.EscapeFunction POSTSCRIPT_INJECTION

      Inserts a block of raw data into a PostScript stream. The input MUST be a 32-bit quantity specifying the number of bytes to inject, a 16-bit quantity specifying the injection point, and a 16-bit quantity specifying the page number, followed by the bytes to inject.

    - #### CHECKJPEGFORMAT

          public static final HwmfEscape.EscapeFunction CHECKJPEGFORMAT

      Checks whether the printer supports a JPEG image.

    - #### CHECKPNGFORMAT

          public static final HwmfEscape.EscapeFunction CHECKPNGFORMAT

      Checks whether the printer supports a PNG image

    - #### GET_PS_FEATURESETTING

          public static final HwmfEscape.EscapeFunction GET_PS_FEATURESETTING

      Gets information on a specified feature setting for a PostScript printer driver.

    - #### MXDC_ESCAPE

          public static final HwmfEscape.EscapeFunction MXDC_ESCAPE

      Enables applications to write documents to a file or to a printer in XML Paper Specification (XPS) format.

    - #### SPCLPASSTHROUGH2

          public static final HwmfEscape.EscapeFunction SPCLPASSTHROUGH2

      Enables applications to include private procedures and other arbitrary data in documents.

  - ### Field Detail

    - #### flag

          public int flag

    - #### constructor

          public final java.util.function.Supplier<? extends HwmfEscape.HwmfEscapeData> constructor

  - ### Method Detail

    - #### values

          public static HwmfEscape.EscapeFunction[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (HwmfEscape.EscapeFunction c : HwmfEscape.EscapeFunction.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static HwmfEscape.EscapeFunction valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

Copyright 2020 The Apache Software Foundation or its licensors, as applicable.